Subject: [magma] IGMPv3 EXCLUDE filter Source problem

From: tech engr <[email-masked]>
Date: Mon, 4 Jun 2007 17:56:23 -0700 (PDT)

Hi,
   
  I tried to use EXCLUDE - SOURCE option in our cisco 6400 with IOS ver 12.3.  Using IXIA tester I sent EXCLUDE - SOURCE with ip 10.6.37.2 in multicast group 239.1.1.144.  I have the video server running behind the Cisco router on 10.6.37.2.  We expect the video should not be forwarded to IXIA from 10.6.37.2.  But, It is getting forwarded.  
   
  Then, I looked into cisco igmp groups and it says EX group 239.1.1.144 and src 10.6.37.2. Cisco is adding multicast route for this group but, it is not excluding src 10.6.37.2 .  Have you folks ever used EX-SRC option?  Can you please let me know if you guys ever able make this work?
   
  Thanks
  Steven

---------------------------------
Sucker-punch spam with award-winning protection.
 Try the free Yahoo! Mail Beta.

_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma

---

From: tech engr <[email-masked]>
Date: Tue, 5 Jun 2007 10:28:23 -0700 (PDT)

Hi,
   
  Can anyone help me with this ?
   
  Steven

tech engr <[email-masked]> wrote:
    Hi,

   
  Thanks
  Steven
    
---------------------------------
  Sucker-punch spam with award-winning protection.
Try the free Yahoo! Mail Beta._______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma

---------------------------------
Get the free Yahoo! toolbar and rest assured with the added security of spyware protection.

---

From: John Zwiebel <[email-masked]>
Date: Tue, 5 Jun 2007 10:45:56 -0700

You might have more luck if you talk to the cisco IOS folks.

However, ask yourself how you would translate an EXCLUDE to a PIM  
join/prune message
And qualify that by remembering that the emphasis for IGMPv3  
deployment is for SSM.

Then consider implementation vs the protocol.

Finally, think about a real world scenario where you'd want to receive
everything except a specific source.

If you really have a case where this is required, then you might want  
to tell
the IOS folks that their implementation isn't meeting your requirements.

On Jun 5, 2007, at 10:28 AM, tech engr wrote:

> I tried to use EXCLUDE - SOURCE option in our cisco 6400 with IOS  
> ver 12.3.  Using IXIA tester I sent EXCLUDE - SOURCE with ip  
> 10.6.37.2 in multicast group 239.1.1.144.  I have the video server  
> running behind the Cisco router on 10.6.37.2.  We expect the video  
> should not be forwarded to IXIA from 10.6.37.2.  But, It is getting  
> forwarded.
>
> Then, I looked into cisco igmp groups and it says EX group  
> 239.1.1.144 and src 10.6.37.2. Cisco is adding multicast route for  
> this group but, it is not excluding src 10.6.37.2 .  Have you folks  
> ever used EX-SRC option?  Can you please let me know if you guys  
> ever able make this work?
>
> Thanks
> Steven
> Try the free Yahoo! Mail  
> Beta._______________________________________________
> magma mailing list
> [email-masked]

---

From: mighty <[email-masked]>
Date: Tue, 5 Jun 2007 15:28:58 -0600

section 6.3 of RFC 3376, "IGMPv3 Source-Specific Forwarding Rules", outlines
the forwarding suggestions the IGMP module should make to the multicast
router. in the case of EXCLUDE group record with source records, the table
reads:

      Group
      Filter-Mode    Source Timer Value    Action
      -----------    ------------------    ------

      EXCLUDE        TIMER > 0             Suggest to forward traffic
                                           from source

      EXCLUDE        TIMER == 0            Suggest to not forward
                                           traffic from source
                                           (DO NOT remove record)

On 6/5/07, John Zwiebel <[email-masked]> wrote:
> And qualify that by remembering that the emphasis for IGMPv3 deployment is
> for SSM.
>
> If you really have a case where this is required, then you might want to
> tell
> *tech engr <[email-masked]>* wrote:
>
> Hi,
>
> I tried to use EXCLUDE - SOURCE option in our cisco 6400 with IOS ver 12.3.
> Using IXIA tester I sent EXCLUDE - SOURCE with ip 10.6.37.2 in multicast
> group 239.1.1.144.  I have the video server running behind the Cisco
> router on 10.6.37.2.  We expect the video should not be forwarded to IXIA
> from 10.6.37.2.  But, It is getting forwarded.
>
> Then, I looked into cisco igmp groups and it says EX group 239.1.1.144 and
> src 10.6.37.2. Cisco is adding multicast route for this group but, it is
> not excluding src 10.6.37.2 .  Have you folks ever used EX-SRC option?
> Can you please let me know if you guys ever able make this work?
>
> Thanks
> Steven
>  ------------------------------
> Sucker-punch spam<http://us.rd.yahoo.com/evt=49981/*http://advision.webevents.yahoo.com/mailbeta/features_spam.html>with award-winning protection.
> Try the free Yahoo! Mail Beta.<http://us.rd.yahoo.com/evt=49981/*http://advision.webevents.yahoo.com/mailbeta/features_spam.html>
> ------------------------------
> Get the free Yahoo! toolbar<http://us.rd.yahoo.com/evt=48226/*http://new.toolbar.yahoo.com/toolbar/features/norton/index.php>and rest assured with the added security of spyware protection.

---

From: John Zwiebel <[email-masked]>
Date: Tue, 5 Jun 2007 14:39:46 -0700

On Jun 5, 2007, at 2:28 PM, mighty wrote:

> section 6.3 of RFC 3376, "IGMPv3 Source-Specific Forwarding Rules",  
> outlines the forwarding suggestions the IGMP module should make to  
> the multicast router. in the case of EXCLUDE group record with  
> source records, the table reads:

So???

That has nothing to do with the questions I asked nor with
the suggestion that tech engineer might want to talk to someone
other than the folks on this list.

You can prove whatever you like on this list, but that isn't going to  
get anything changed
nor is it going to make "tech engr"'s testing results change.

---

From: tech engr <[email-masked]>
Date: Tue, 5 Jun 2007 14:58:00 -0700 (PDT)

John,
   
  I am genuinely curious about this issue.  I am not suggesting anything here?  I don't know about PIM join/prune?  I am starting on multicast?  Why do you have to be rude if someone wants to learn something.
   
  Steven

John Zwiebel <[email-masked]> wrote:

  section 6.3 of RFC 3376, "IGMPv3 Source-Specific Forwarding Rules", outlines the forwarding suggestions the IGMP module should make to the multicast router. in the case of EXCLUDE group record with source records, the table reads: 

  So???

  You can prove whatever you like on this list, but that isn't going to get anything changed
  nor is it going to make "tech engr"'s testing results change.

---------------------------------
Fussy? Opinionated? Impossible to please? Perfect.  Join Yahoo!'s user panel and lay it on us.

---

From: mighty <[email-masked]>
Date: Tue, 5 Jun 2007 15:58:59 -0600

you asked "how you would translate an EXCLUDE to a PIM join/prune message"
with the non-binding caveat "IGMPv3 deployment is for SSM"... according to
the contents of the table in section 6.3 of RFC 3376, an EXCLUDE'd source is
translated by the IGMP module as a suggestion to the multicast router to
"not forward traffic from the source". i wasn't commenting on any other
suggestion(s).\

On 6/5/07, John Zwiebel <[email-masked]> wrote:
> outlines the forwarding suggestions the IGMP module should make to the
> multicast router. in the case of EXCLUDE group record with source records,
> the table reads:
>
>
> So???
>